Skip to main content
GET
/
domains
/
{domain}
Get domain
curl --request GET \
  --url https://rdp.sh/api/v1/domains/{domain} \
  --header 'Authorization: <api-key>'
{
  "id": 123,
  "domain_name": "<string>",
  "status": "<string>",
  "provider": "<string>",
  "auto_renew": true,
  "whois_privacy": true,
  "lock_status": true,
  "use_rdp_nameservers": true,
  "nameservers": [
    "<string>"
  ],
  "registration_date": "<string>",
  "expiry_date": "<string>",
  "days_until_expiry": 123,
  "is_expiring_soon": true,
  "dns_records_count": 123,
  "created_at": "<string>",
  "dns_records": [
    {
      "id": 123,
      "name": "<string>",
      "value": "<string>",
      "ttl": 123,
      "priority": 123,
      "created_at": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

domain
integer
required

Domain ID

Response

Domain details including its DNS records.

Domain object.

id
integer
Example:

1

domain_name
string
Example:

"example.com"

status
string

Domain lifecycle status.

Examples:

"active"

"suspended"

"transferring"

"expired"

provider
string

Registrar backing the domain.

Examples:

"internetbs"

"netim"

auto_renew
boolean
whois_privacy
boolean
lock_status
boolean

Whether the registrar transfer lock is enabled.

use_rdp_nameservers
boolean

Whether the domain uses RDP.sh-managed nameservers.

nameservers
string[]
Examples:

"ns1.rdp.sh"

"ns2.rdp.rs"

registration_date
string | null
Example:

"2025-01-01T00:00:00.000000Z"

expiry_date
string | null
Example:

"2027-01-01T00:00:00.000000Z"

days_until_expiry
integer | null
Example:

180

is_expiring_soon
boolean

True when the domain expires within 30 days.

dns_records_count
integer
Example:

2

created_at
string
Example:

"2025-01-01T00:00:00.000000Z"

dns_records
object[]